﻿@model PROJETMODELE.Models.VML.TP.EncaissementVM
@using PROJETMODELE.Models.BML.TG
@using PROJETMODELE.Models.BML
@{
    DroitsBM droitUtilisateur = new DroitsBM();
    List<string> cmd = droitUtilisateur.CommandeExecutableUser(Session["Code_User"].ToString());
    Layout = null;
    string identifiant = TempData["id"].ToString();
    PROJETMODELE.Tools.Services service = new PROJETMODELE.Tools.Services();
    PROJETMODELE.Tools.Convertisseur convertir = new PROJETMODELE.Tools.Convertisseur();
    PROJETMODELE.Models.DAL.StoreEntities db = new PROJETMODELE.Models.DAL.StoreEntities();
    int Etat = Model.Etat;
    double Montant_Encaissement = 0;
}
<link href="~/Content/css/Impression1.css" rel="stylesheet" media="print" />

<script src="~/Scripts/Consulter.js"></script>
<script src="~/Scripts/jquery.jqprint-0.3.js"></script>

<div id="formulaire">
    <div>Règlement Client N&deg; @Model.NUM_DOC</div>
    <div class="forms">
        <input id="afficherclosebutton" value="0" type="hidden" />
        <div class="bouttonaction">          
              @if (Etat == 0)
              {
                  if ((cmd.Contains("Modifier_reglement_client")))
                  {
                      <button title="Modifier" value="Modifier" type="button" id="modifier" class="btn btn-default oufbutton  FermerConsultation"><i class="ouf-edit"></i>Modifier</button>                                    
                  }
                  if ((cmd.Contains("Valider_reglement_client")))
                  {
                       <button title="Valider" value="Valider" type="button" id="valider" class="btn btn-default oufbutton SansIdentifiantConsultation"><i class="ouf-ok"></i>Valider</button>                 
                  }
                  if ((cmd.Contains("Annuler_reglement_client")))
                  {
                       <button title="Annuler" value="Annuler" type="button" id="annuler" class="btn btn-default oufbutton  SansIdentifiantConsultation"><i class="ouf-cancel"></i>Annuler</button>                                      
                  }
              }                                                        
             @if ((cmd.Contains("Imprimer_reglement_client")))
             {
                 WriteLiteral(@"<button title='Imprimer' value='Imprimer'  type='button' id='print' class='btn btn-default oufbutton '><i class='ouf-print'></i>Imprimer</button>");
             }           
       </div>
       @Html.Hidden("validerUrl", "/Encaissement/Valider/" + identifiant)
       @Html.Hidden("annulerUrl", "/Encaissement/Annuler/" + identifiant)
       @Html.Hidden("modifierUrl", "/Encaissement/Modifier/" + identifiant)
      <div id="facturepetitfom">
            <div class="fiche">
                <h4 class="titre">N° Règlement : @Model.NUM_DOC</h4>
                <div class="date">@DateTime.Now.ToString("dd/MM/yyyy")</div>
                <table class="table-footer-no-border-100">
                    <tbody>
                        <tr>
                            <td><b>Date : </b>@Model.Date.ToString("dd/MM/yyyy") </td>
                        </tr>
                        <tr>
                            <td><b>Client : </b>@Model.Client </td>
                        </tr>
                        <tr>
                            <td><b>Montant : </b>@Model.Montant_Lettre FCFA </td>
                        </tr>
                        <tr>
                            <td><b>Statut : </b>@Model.Statut </td>
                        </tr>
                        <tr>
                            <td><b>Enregistrer Par : </b>@Model.Utilisateur </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
<script>
    $('#formulaire').jqxWindow({ height: "90%", width: "90%", isModal: true, showCloseButton: true, theme: "ui-redmond" });

    $("#print").on("click", function () {
        $('#facturepetitfom').jqprint();
        return false;
    });
</script>
<style>
    .fiche table {
        width: 100%;
        border-collapse: collapse;
    }

    .fiche {
        /*padding-top:25px;
       text-transform:uppercase;*/
    }

        .fiche table {
            margin-bottom: 20px;
        }

            .fiche table.envoyeur {
                width: 49%;
                margin-right: 2%;
                float: left;
                border: 1px solid;
                border-radius: 5%;
            }

            .fiche table.beneficiaire {
                width: 49%;
                border: 1px solid;
            }

            .fiche table.transaction {
                width: 100%;
                border: 1px solid;
            }

            .fiche table.signature {
                width: 100%;
            }

                .fiche table.signature td {
                    text-align: right;
                    padding-right: 5%;
                }

            .fiche table.table-footer {
                width: 100%;
                border-collapse: collapse;
            }

            .fiche table td i {
                font-size: 10px;
                font-weight: bold;
            }

            .fiche table.table-footer td {
                border: 1px solid;
                width: 25%;
            }

            .fiche table.detail {
                width: 100%;
                border-collapse: collapse;
            }

                .fiche table.detail td, .fiche table.detail th {
                    border: 1px solid;
                    text-align: center;
                }

        .fiche div.montant {
            font-weight: bold;
        }

        .fiche .heure {
            position: relative;
            top: -10px;
            display: block;
            border: 1px solid red;
        }

        .fiche table.table-dynamique td {
            border: 1px solid;
            text-align: left;
        }

        .fiche table.table-footer-no-wiht td {
            border: 1px solid;
            text-align: center;
        }

        .fiche table.table-footer-no-border td {
            border: 0px solid;
            width: 25%;
        }

        .fiche table.table-footer-no-border-50 td {
            border: 0px solid;
            width: 50%;
        }

        .fiche table.table-footer-no-border-100 td {
            border: 1px solid;
            padding: 8px !important;
        }

        .fiche .titre {
            background-color: #eee;
            padding: 12px;
            text-align: center;
            text-transform: uppercase;
        }

        .fiche h4 {
            text-transform: uppercase;
        }

        .fiche div.date {
            font-weight: bold;
            text-align: right;
            margin-bottom: 15px;
        }

        .fiche table td {
            padding: 5px;
        }

        .fiche table caption {
            text-align: left;
            position: relative;
        }

            .fiche table caption span {
                position: absolute;
                left: 15px;
                bottom: -7px;
                background-color: #fff;
                padding: 0 5px;
            }
</style>